<template>
	<div class="credit-card">
		<div class="credit-card__wrapper">
			<ui-row>
				<ui-col>
					<ui-row>
						<span v-on:click="show">sdfgsdfgd</span>
						<ui-input id="ui-credit-card__card-number"
						          type="text"
						          label="Номер карты"
						          v-model="cardNumber"
						          mask="####-####-####-####"
						          :suffix="showSuffix">
							<template slot="suffix" v-if="showSuffix">
								<SVGIcon xlink="hint-20" view-box="0 0 20 20" v-on:click.native="toggleHint"/>
								<transition name="fade">
									<ui-hint v-if="showHint">
										<p>Это цифры на обратно стороне карты MasterCard, Visa или МИР (последние
											3 цифры после номера карты).</p>
									</ui-hint>
								</transition>
							</template>
						</ui-input>
					</ui-row>
					<ui-row>
						<ui-col :xs="24" :sm="12" :md="12" :lg="12">
							<ui-input id="ui-credit-card__validity"
							          type="text"
							          label="Срок действия"
							          v-model="validity"
							          mask="##/##"/>
						</ui-col>
						<ui-col :xs="24" :sm="12" :md="12" :lg="12">
							<ui-input id="ui-credit-card__cvc"
							          type="password"
							          label="CVC"
							          v-model="cvc"
							          mask="###">
								<template slot="suffix">
									<SVGIcon xlink="hint-20" view-box="0 0 20 20" v-on:click.native="toggleHint"/>
									<transition name="fade">
										<ui-hint v-if="showHint">
											<p>Это цифры на обратно стороне карты MasterCard, Visa или МИР (последние
												3 цифры после номера карты).</p>
										</ui-hint>
									</transition>
								</template>
							</ui-input>
						</ui-col>
					</ui-row>
					<ui-row>
						<ui-input id="ui-credit-card__card-holder"
						          type="text"
						          label="Имя держателя карты"
						          v-model="cardHolder"
						          uppercase/>
					</ui-row>
				</ui-col>
			</ui-row>
		</div>
	</div>
</template>

<script>
	import SVGIcon from "@/components/SVGIcon/index";
	import UiHint from "@/UI/hint/index";
	
	export default {
		name: "CreditCard",
		components: {UiHint, SVGIcon},
		data() {
			return {
				cardNumber: '',
				validity: '',
				cvc: '',
				cardHolder: '',
				showHint: false,
				showSuffix: false
			}
		},
		methods: {
			show() {
				this.showSuffix = !this.showSuffix;
			},
			toggleHint() {
				this.showHint = !this.showHint;
			}
		}
	}
</script>
